Skip to main content.
home | support | download

Back to List Archive

Re: Error message while using spider

From: Bill Moseley <moseley(at)not-real.hank.org>
Date: Tue May 18 2004 - 20:28:23 GMT
On Tue, May 18, 2004 at 03:40:26PM -0400, Antonio Barrera wrote:
> My first attempts were through the Bundle however I was receiving make
> failures. I grabbed the PM files from CPAN, and then would check the Bundle
> install to see if anything was still not up to date.

Ya, you can't just copy .pm files if the module has assoiciated C code
that needs to be compiled.

> Writing Makefile for Digest::MD5
> Makefile:85: *** missing separator.  Stop.

Odd.  There's a bug report:

  http://rt.cpan.org/NoAuth/Bug.html?id=6174

but I just downloaded it and it built without any problem.  I suppose
this is why perl's been updated since that first 5.8 release.  My guess
is your version of MakeMaker is broken, too.

Anyway:

How about downloading the module and untar it then:

  perl Makefile.PL

then edit the Makefile and see what's on line 85.  Might be obvious.

What distribution are you running?


Did LWP install?  You might just try the spider.pl program again and see
if you still end up with problems.


-- 
Bill Moseley
moseley@hank.org
Received on Tue May 18 13:28:26 2004